/////////////////////////////////////////////////////////////////////////////
//
// functions generating layout-aware widgets
//
/////////////////////////////////////////////////////////////////////////////

#include "newwidget.h"

TQLineEdit *newLineEdit(int visiblewidth, TQWidget *parent) {
  TQLineEdit *l = new TQLineEdit(parent);
  if(visiblewidth == 0)
    l->setMinimumWidth(l->sizeHint().width());
  else
    l->setFixedWidth(l->fontMetrics().width('H') * visiblewidth);
  
  return l;
}
